<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (file_exists(INFUSIONS."forum_threads_list_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_threads_list_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."forum_threads_list_panel/locale/English.php";
}

if (!iMEMBER) fallback("index.php");

$result = dbquery(
	"SELECT tt.*, tf.*, COUNT(post_id) FROM ".$db_prefix."threads tt
	INNER JOIN ".$db_prefix."forums tf USING(forum_id)
	INNER JOIN ".$db_prefix."posts tp ON tt.thread_id=tp.thread_id
	WHERE ".groupaccess('forum_access')." AND thread_author='".$userdata['user_id']."'
	GROUP BY thread_id HAVING COUNT(post_id)='1' LIMIT 100"
);
$rows = dbrows($result);
if ($rows != 0) {
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	$result = dbquery(
		"SELECT tt.*, tf.*, COUNT(post_id) FROM ".$db_prefix."threads tt
		INNER JOIN ".$db_prefix."forums tf USING(forum_id)
		INNER JOIN ".$db_prefix."posts tp ON tt.thread_id=tp.thread_id
		WHERE ".groupaccess('forum_access')." AND thread_author='".$userdata['user_id']."'
		GROUP BY thread_id HAVING COUNT(post_id)='1' 
		ORDER BY thread_lastpost DESC LIMIT $rowstart,20"
	);
	$i=0;
	opentable($locale['ftl112']);
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
	if ($theme_width == "100%") echo "<td class='tbl2'><span class='small'><b>".$locale['ftl101']."</b></span></td>\n";
	echo "<td class='tbl2'><span class='small'><b>".$locale['ftl102']."</b></span></td>
<td align='center' class='tbl2'><span class='small'><b>".$locale['ftl103']."</b></span></td>
<td align='right' class='tbl2'><span class='small'><b>".$locale['ftl122']."</b></span></td>
</tr>\n";
	while ($data = dbarray($result)) {
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
		echo "<tr>\n";
		if ($theme_width == "100%") {
			echo "<td width='180' class='$row_color'><span class='small'>".trimlink($data['forum_name'], 30)."</span></td>
<td class='$row_color'><span class='small'><a href='".FORUM."viewthread.php?forum_id=".$data['forum_id']."&thread_id=".$data['thread_id']."' title='".$data['thread_subject']."'>".trimlink($data['thread_subject'], 30)."</a></span></td>\n";
		} else {
			echo "<td class='$row_color'><span class='small'><a href='".FORUM."viewthread.php?forum_id=".$data['forum_id']."&thread_id=".$data['thread_id']."' title='".$data['thread_subject']." (".$data['forum_name'].")'>".trimlink($data['thread_subject'], 40)."</a></span></td>\n";
		}
		echo "<td align='center' width='40' class='$row_color'><span class='small'>".$data['thread_views']."</span></td>
<td align='right' width='115' class='$row_color'><span class='small'>".showdate("forumdate", $data['thread_lastpost'])."</a></span></td>
</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
	echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,20,$rows,3)."\n</div>\n";
} else {
	opentable($locale['ftl112']);
	echo "<center><br>\n".$locale['ftl125']."<br><br>\n</center>\n";
	closetable();
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
